Now CS6 Compatible!


We're pleased to announce that all of our fine Photoshop Plug-ins are now fully compatible with Adobe Photoshop CS6! Over the last few months, as authorized developers of plug-ins with Adobe we have been testing and re-testing every plug-in we offer and they all pass with flying colors!

Not only that but we've also updated all of our installers to automatically detect Adobe Photoshop CS6 for a quick easy update for your new CS6 users. If you want to grab the latest installer, simply log-in to your account and download the latest plug-in installers from the Files area of your account.